<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('car::car.name') !!} <small> {!! trans('app.manage') !!} {!! trans('car::car.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('car::car.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='car-car-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('car/car')!!}">{!! trans('car::car.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('car/car?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('car/car?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('car/car/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('car::admin.car.partial.actions')
                    -->
                    @include('car::admin.car.partial.filter')
                    @include('car::admin.car.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="car-car-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="car-car-check-all"></th>
                        <th data-field="brand_id">{!! trans('car::car.label.brand_id')!!}</th>
                    <th data-field="model_id">{!! trans('car::car.label.model_id')!!}</th>
                    <th data-field="body_type">{!! trans('car::car.label.body_type')!!}</th>
                    <th data-field="fuel_type">{!! trans('car::car.label.fuel_type')!!}</th>
                    <th data-field="condition">{!! trans('car::car.label.condition')!!}</th>
                    <th data-field="release_year">{!! trans('car::car.label.release_year')!!}</th>
                    <th data-field="speed">{!! trans('car::car.label.speed')!!}</th>
                    <th data-field="engine">{!! trans('car::car.label.engine')!!}</th>
                    <th data-field="engine_type">{!! trans('car::car.label.engine_type')!!}</th>
                    <th data-field="horse_power">{!! trans('car::car.label.horse_power')!!}</th>
                    <th data-field="transmission">{!! trans('car::car.label.transmission')!!}</th>
                    <th data-field="drive_train">{!! trans('car::car.label.drive_train')!!}</th>
                    <th data-field="torque">{!! trans('car::car.label.torque')!!}</th>
                    <th data-field="brake">{!! trans('car::car.label.brake')!!}</th>
                    <th data-field="color">{!! trans('car::car.label.color')!!}</th>
                    <th data-field="gearbox">{!! trans('car::car.label.gearbox')!!}</th>
                    <th data-field="fuel_economy">{!! trans('car::car.label.fuel_economy')!!}</th>
                    <th data-field="video_link">{!! trans('car::car.label.video_link')!!}</th>
                    <th data-field="description">{!! trans('car::car.label.description')!!}</th>
                    <th data-field="price">{!! trans('car::car.label.price')!!}</th>
                    <th data-field="mileage">{!! trans('car::car.label.mileage')!!}</th>
                    <th data-field="door_count">{!! trans('car::car.label.door_count')!!}</th>
                    <th data-field="exterior_color">{!! trans('car::car.label.exterior_color')!!}</th>
                    <th data-field="engine_size">{!! trans('car::car.label.engine_size')!!}</th>
                    <th data-field="drive_type">{!! trans('car::car.label.drive_type')!!}</th>
                    <th data-field="address">{!! trans('car::car.label.address')!!}</th>
                    <th data-field="neighborhood">{!! trans('car::car.label.neighborhood')!!}</th>
                    <th data-field="city">{!! trans('car::car.label.city')!!}</th>
                    <th data-field="state">{!! trans('car::car.label.state')!!}</th>
                    <th data-field="country">{!! trans('car::car.label.country')!!}</th>
                    <th data-field="zip_code">{!! trans('car::car.label.zip_code')!!}</th>
                    <th data-field="slider">{!! trans('car::car.label.slider')!!}</th>
                    <th data-field="premium">{!! trans('car::car.label.premium')!!}</th>
                    <th data-field="featured">{!! trans('car::car.label.featured')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#car-car-entry', '{!!guard_url('car/car/0')!!}');
    oTable = $('#car-car-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('car/car') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'brand_id'},
            {data :'model_id'},
            {data :'body_type'},
            {data :'fuel_type'},
            {data :'condition'},
            {data :'release_year'},
            {data :'speed'},
            {data :'engine'},
            {data :'engine_type'},
            {data :'horse_power'},
            {data :'transmission'},
            {data :'drive_train'},
            {data :'torque'},
            {data :'brake'},
            {data :'color'},
            {data :'gearbox'},
            {data :'fuel_economy'},
            {data :'video_link'},
            {data :'description'},
            {data :'price'},
            {data :'mileage'},
            {data :'door_count'},
            {data :'exterior_color'},
            {data :'engine_size'},
            {data :'drive_type'},
            {data :'address'},
            {data :'neighborhood'},
            {data :'city'},
            {data :'state'},
            {data :'country'},
            {data :'zip_code'},
            {data :'slider'},
            {data :'premium'},
            {data :'featured'},
        ],
        "pageLength": 25
    });

    $('#car-car-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#car-car-list').DataTable().row( this ).data();
        $('#car-car-entry').load('{!!guard_url('car/car')!!}' + '/' + d.id);
    });

    $('#car-car-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#car-car-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#car-car-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#car-car-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>