<?php

namespace Autos\Car\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Car policy
        'Autos\Car\Models\Car' => \Autos\Car\Policies\CarPolicy::class,// Bind Brand policy
        'Autos\Car\Models\Brand' => \Autos\Car\Policies\BrandPolicy::class,// Bind CarModel policy
        'Autos\Car\Models\CarModel' => \Autos\Car\Policies\CarModelPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
