<?php

namespace Autos\Car\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CarTransformer extends TransformerAbstract
{
    public function transform(\Autos\Car\Models\Car $car)
    {
        return [
            'id'                => $car->getRouteKey(),
            'key'               => [
                'public'    => $car->getPublicKey(),
                'route'     => $car->getRouteKey(),
            ], 
            'brand_id'          => $car->brand_id,
            'model_id'          => $car->model_id,
            'body_type'         => $car->body_type,
            'fuel_type'         => $car->fuel_type,
            'condition'         => $car->condition,
            'release_year'      => $car->release_year,
            'speed'             => $car->speed,
            'engine'            => $car->engine,
            'engine_type'       => $car->engine_type,
            'horse_power'       => $car->horse_power,
            'transmission'      => $car->transmission,
            'drive_train'       => $car->drive_train,
            'torque'            => $car->torque,
            'brake'             => $car->brake,
            'color'             => $car->color,
            'gearbox'           => $car->gearbox,
            'fuel_economy'      => $car->fuel_economy,
            'video_link'        => $car->video_link,
            'description'       => $car->description,
            'price'             => $car->price,
            'mileage'           => $car->mileage,
            'images'            => $car->images,
            'door_count'        => $car->door_count,
            'exterior_color'    => $car->exterior_color,
            'engine_size'       => $car->engine_size,
            'drive_type'        => $car->drive_type,
            'address'           => $car->address,
            'features'          => $car->features,
            'neighborhood'      => $car->neighborhood,
            'city'              => $car->city,
            'state'             => $car->state,
            'country'           => $car->country,
            'zip_code'          => $car->zip_code,
            'slug'              => $car->slug,
            'user_id'           => $car->user_id,
            'user_type'         => $car->user_type,
            'upload_folder'     => $car->upload_folder,
            'slider'            => $car->slider,
            'premium'           => $car->premium,
            'featured'          => $car->featured,
            'deleted_at'        => $car->deleted_at,
            'url'               => [
                'public'    => trans_url('car/'.$car->getPublicKey()),
                'user'      => guard_url('car/car/'.$car->getRouteKey()),
            ], 
            'status'            => trans('app.'.$car->status),
            'created_at'        => format_date($car->created_at),
            'updated_at'        => format_date($car->updated_at),
        ];
    }
}